summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-11 22:55:20 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:20 +0200
commitc0c02bc405a0525a318cd1b50945fdd36a991817 (patch)
treed62934bc483c4e4108279a2a45104beb6d2b118d /system
parent83af78c4c03ddb3350d7052cf77379bde8a9e4ef (diff)
downloadslackbuilds-c0c02bc405a0525a318cd1b50945fdd36a991817.tar.gz
slackbuilds-c0c02bc405a0525a318cd1b50945fdd36a991817.tar.xz
system/ktsuss: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/ktsuss/README3
-rw-r--r--system/ktsuss/ktsuss.SlackBuild84
-rw-r--r--system/ktsuss/ktsuss.info8
-rw-r--r--system/ktsuss/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/system/ktsuss/README b/system/ktsuss/README
new file mode 100644
index 0000000000..5934c149d1
--- /dev/null
+++ b/system/ktsuss/README
@@ -0,0 +1,3 @@
+ktsuss stands for "keep the su simple, stupid", and as the name says, is a
+graphical version of su written in C and GTK+ 2. The idea of the project is
+to remain simple and bug free...
diff --git a/system/ktsuss/ktsuss.SlackBuild b/system/ktsuss/ktsuss.SlackBuild
new file mode 100644
index 0000000000..dda7a9ebb2
--- /dev/null
+++ b/system/ktsuss/ktsuss.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for ktsuss
+
+# Copyright 2008 Murat D. Kadirov <banderols@gmail.com>
+# Copyright 2008 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ktsuss
+VERSION=${VERSION:-1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING CREDITS Changelog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/ktsuss/ktsuss.info b/system/ktsuss/ktsuss.info
new file mode 100644
index 0000000000..0fa21dcb0a
--- /dev/null
+++ b/system/ktsuss/ktsuss.info
@@ -0,0 +1,8 @@
+PRGNAM="ktsuss"
+VERSION="1.4"
+HOMEPAGE="http://nomius.blogspot.com"
+DOWNLOAD="http://download.berlios.de/ktsuss/ktsuss-1.4.tar.gz"
+MD5SUM="bad627cc5f5de08262fa4e60881ac30a"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="David Somero"
diff --git a/system/ktsuss/slack-desc b/system/ktsuss/slack-desc
new file mode 100644
index 0000000000..8df50a2c86
--- /dev/null
+++ b/system/ktsuss/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ktsuss: ktsuss (a gtk su helper)
+ktsuss:
+ktsuss: ktsuss stands for "keep the su simple, stupid", and as the name
+ktsuss: implies, is a graphical version of su written in C and GTK+ 2
+ktsuss: (similar in functionality to kdesu and gksu).
+ktsuss:
+ktsuss: The goal of the project is to remain simple and bug free...
+ktsuss:
+ktsuss: Homepage: http://developer.berlios.de/projects/ktsuss
+ktsuss:
+ktsuss: